package com.zulutrade.sample.binaryoptions.trading.client.trading;

import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * TradingClientException, an exception thrown when we sent a trading request to ZuluTrade and an error occurred.
 * Contains the TradingError that will indicate to us what happened. 
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
*/
public class TradingClientException extends Exception{

	private static final long serialVersionUID = 1L;

	TradingError tradingError; 
		
	public TradingClientException(TradingError tradingError) {
		super();
		this.tradingError = tradingError;
	}

	public TradingClientException() {
		super();
	}

	public TradingClientException(String arg0, Throwable arg1, boolean arg2, boolean arg3) {
		super(arg0, arg1, arg2, arg3);
	}

	public TradingClientException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	public TradingClientException(String arg0) {
		super(arg0);
	}

	public TradingClientException(Throwable arg0) {
		super(arg0);
	}

	public TradingError getTradingError() {
		return tradingError;
	}
	
}
