package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.request;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * OpenRegularPositionRequest, the request we send in order to open a new regular position.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class OpenRegularPositionRequest {

	String positionType;
	double amount;
	String expirationDate;
	String asset;

	public OpenRegularPositionRequest(){}	
	
	public OpenRegularPositionRequest(String positionType, double amount, String expirationDate, String asset) {
		this.positionType = positionType;
		this.amount = amount;
		this.expirationDate = expirationDate;
		this.asset = asset;
	}

	public String getPositionType() {
		return positionType;
	}

	public void setPositionType(String positionType) {
		this.positionType = positionType;
	}

	public double getAmount() {
		return amount;
	}

	public void setAmount(double amount) {
		this.amount = amount;
	}

	public String getExpirationDate() {
		return expirationDate;
	}

	public void setExpirationDate(String expirationDate) {
		this.expirationDate = expirationDate;
	}

	public String getAsset() {
		return asset;
	}

	public void setAsset(String asset) {
		this.asset = asset;
	}

	@Override
	public String toString() {
		return "OpenRegularPositionRequest [positionType=" + positionType
				+ ", amount=" + amount + ", expirationDate=" + expirationDate
				+ ", asset=" + asset + "]";
	}

}
