package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.response;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * BalanceResponse, the response we get when we request the balance.
 * Contains the account's current balance, or the TradingError in case of error.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class BalanceResponse implements TradingResponse {

	boolean success;
	TradingError error; 
	Double result;
	
	public boolean isSuccess() {
		return success;
	}
	
	public void setSuccess(boolean success) {
		this.success = success;
	}
	
	public TradingError getError() {
		return error;
	}
	
	public void setError(TradingError error) {
		this.error = error;
	}
	
	public Double getResult() {
		return result;
	}
	
	public void setResult(Double result) {
		this.result = result;
	}
	
	@Override
	public String toString() {
		return "BalanceResponse [success=" + success + ", error=" + error
				+ ", result=" + result + "]";
	}
	
}
