package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.response;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.RegularOption;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * RegularOptionsResponse, the response we get when we request the available regular options.
 * Contains the available regular options, or the TradingError in case of error.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class RegularOptionsResponse implements TradingResponse {

	boolean success;
	TradingError error;
	List<RegularOption> result;

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public TradingError getError() {
		return error;
	}

	public void setError(TradingError error) {
		this.error = error;
	}

	public List<RegularOption> getResult() {
		return result;
	}

	public void setResult(List<RegularOption> result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return "RegularOptionsResponse [success=" + success + ", error="
				+ error + ", result=" + result + "]";
	}

}
